Subject: Re: bug#2251: 23.0.90; Summary by label in RMAIL

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Feb 2009 17:28:40 -0500

jpff wrote:

> Regarding unseen I have been using a function
> (defun rmail-first-unseen ()
>   (interactive)
>   (rmail-show-message (rmail-first-unseen-message)))
>
> for a while which I find very useful in the way I work.Now that
> function fails -- either crashes or does not do anything.

It seems you need to use "rmail-show-message-maybe" now.

I find it ridiculous the number of gratuitous changes that seem to
have accompanied the change in Rmail's storage format.

I have no idea what the hell the difference between the -maybe and
sans-maybe versions of this function are (anyone?), but I suggest we
rename "rmail-show-message-maybe" to "rmail-show-message", and call
the other one "rmail-show-message-1" or something.